gnutls_anon_set_params_function(3)

NAME
gnutls_anon_set_params_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_anon_set_params_function(gnutls_anon_server_credentials_t res, gnutls_params_function * func);

ARGUMENTS

gnutls_anon_server_credentials_t res
    is a gnutls_anon_server_credentials_t structure

gnutls_params_function * func
    is the function to be called

DESCRIPTION
This function will set a callback in order for the server to get the Diffie-Hellman or RSA parameters for anonymous authentication. The callback should return GNUTLS_E_SUCCESS (0) on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/